Subject: Re: FVWM: Color Problems

From: Dan Espen <[email-masked]>
Date: Tue, 17 Dec 2002 19:24:39 -0500

Please don't send html to the list.
In my mail reader, it shows up as one line.
I reflexivly delete html as it's spam 99% of the time.
For others that won't see html, here's what Ben sent:

> Here's the error message:
> [FVWM][FvwmErrorHandler]: <<ERROR>> *** internal error ***
> [FVWM][FvwmErrorHandler]: <<ERROR>> Request 66, Error 8, EventType:4
> 
> EventType can vary though it seems. I've seen 0, 28.

Error 8 = Badmatch

I'm not sure about the rest.  Yet.

> Can't run dbx right now. Being on a corporate machine, I can't seem to
> find our copy. Another possible issue, is that I run fvwm under CDE by
> the following line of my .Xdefaults file.

On our Suns I find it in:

/opt/forte62/SUNWspro/bin/dbx
/opt/SUNWspro/bin/dbx
/opt/forte61/SUNWspro/bin/dbx

> Dtsession*wmStartupCommand: /lsi/home/bsferraz/bin/fvwm-2.5.5/bin/fvwm -C TrueColor

Don't forget the Timeout stuff or you'll get really
slow startup.  See the Fvwm FAQ.

> Note  that only after adding '-C  TrueColor' did I start getting these
> errors and core  dumps. Although  before adding  it I  could only  get
> 8-bit color with fvwm.

I think we need:

fvwm version
xdpyinfo output
PrintInfo Colors output

To get the PrintInfo Colors output, when you're running under CDE
look in $HOME/.dt.  I think its somewhere in there.

If you still can't find it, you can try changing the StartupCommand,
add this to the end:

 >/tmp/fvwm.out 2>&1

Sorry you're having these problems.  Be patient, we'll get it.

-- 
Dan Espen                           E-mail: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].